Page MenuHomePhabricator

rhg: Do not return error when when we really mean ok in commands
ClosedPublic

Authored by acezar on Aug 3 2020, 10:25 AM.

Details

Summary

Before when a command was successfull Err(CommandErrorKind::Ok.into()) was
returned which is an oxymoron. Using Ok(()) when everything is ok seems more
appropriate.

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

acezar created this revision.Aug 3 2020, 10:25 AM
Alphare accepted this revision.Aug 3 2020, 11:02 AM
acezar updated this revision to Diff 22248.Aug 4 2020, 4:58 AM
indygreg accepted this revision.Aug 8 2020, 3:54 PM
This revision is now accepted and ready to land.Aug 8 2020, 3:54 PM